--- old/usr/src/uts/common/io/scsi/adapters/iscsi/iscsi_doorclt.c	2012-09-26 12:51:51.984810681 +0000
+++ new/usr/src/uts/common/io/scsi/adapters/iscsi/iscsi_doorclt.c	2012-09-26 12:51:50.856268955 +0000
@@ -22,6 +22,7 @@
  * Copyright 2000 by Cisco Systems, Inc.  All rights reserved.
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ * Copyright 2012 Nexenta Systems, Inc. All rights reserved.
  *
  * iSCSI Software Initiator
  */
@@ -243,8 +244,6 @@
 	getipnodebyname_req_t	*req;
 	getipnodebyname_cnf_t	*cnf;
 	struct hostent		*hptr;
-	int			i;
-	uint16_t		*swap;
 
 
 	buffer_size = msg_size + hostent_size + sizeof (mybuffer_t);
@@ -312,17 +311,7 @@
 		if (inet_pton(af, (char *)name, cnf) == 1) {
 			/*
 			 * inet_pton converted the string successfully.
-			 * reset to network order.  swaps based on nfs code
 			 */
-			if (af == AF_INET) {
-				*((uint32_t *)cnf) = htonl(*((uint32_t *)cnf));
-			} else {
-				for (swap = ((void *)cnf), i = 0;
-				    i < hptr->h_length / sizeof (uint16_t);
-				    i++) {
-					swap[i] = htons(swap[i]);
-				}
-			}
 			hptr->h_addrtype = af;
 			hptr->h_addr_list = (char **)((char *)hptr +
 			    sizeof (struct hostent));
